# PyQAlloy-compatible Model for D Parameter prediction based on Hu2021

This repository contains a PyQAlloy-compatible compositionalModel for D Parameter Prediction Based on Yong-Jie Hu 2021 (10.1016/j.actamat.2021.116800) that 
accepts a chemical formula of an alloy or a pymatgen Composition object and returns the predicted Genralized Stacking Fault Energy (GSF), Surface Energy (Surf), and the 
calculated D Parameter.

## Install and use

To run this model you will need Python 3.9+ and R 4.1.0+ installed on your system. To install you can simply:



## Attribution

This repository has been created by Adam M. Krajewski (https://orcid.org/0000-0002-2266-0099) and is licensed under the MIT License. 
**Please cite this repository if you use it in your work.**

The featurizer and predictive model (HEA_pred.R and dependencies) have been optimized across and re-styled by Adam M.
Krajewski based on code originally developed by Young-Jie Hu (https://orcid.org/0000-0003-1500-4015) et al. for their
journal publication and published in Materials Commons at https://doi.org/10.13011/m3-rkg0-zh65, where original code
can be accessed,  distributed under ODC Open Database License (ODbL) v1.0. **Please cite this publication as well:** 
- Yong-Jie Hu, Aditya Sundar, Shigenobu Ogata, Liang Qi, Screening of generalized stacking fault energies, 
surface energies and intrinsic ductile potency of refractory multicomponent alloys, Acta Materialia, 
Volume 210, 2021, 116800, https://doi.org/10.1016/j.actamat.2021.116800

The gbm-locfit package (Gradient Boosting Machine-Locfit: A GBM framework using local regresssion via Locfit) has been 
developed by Materials Project in 2016 and is distributed under the terms of the MIT License. Details can be found in
its code.


## Hu's README File

Hello, thank you for your interest in our work!
Here we provide a script written in R language to take an alloy composition of interest and correspondingly predict the GSF energy, surface energy, and the ductility parameter based on the SL models in our manuscript ( https://doi.org/10.1016/j.actamat.2021.116800)
To run the script and make predictions, you need to:
1)	Download the RStudio platform. (https://www.rstudio.com/) ## No worry, it is open access 😊
2)	Put all the files you downloaded from Materials Commons (basically all our files) into one local folder
3)	Open the “predict.R” file in RStudio, input the alloy composition there, execute every line there, and the prediction will jump out in the console window below. 

Please contact qiliang@umich.edu or yh593@drexel.edu if you have any questions. 

P.S.,
“predict_screen_4nary_all.csv” is the original data for plotting Figure 7&8 in the manuscript. Other figures in the manuscript can be reproduced by the data listed in the tables in the manuscript.
